Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597703 - Opening Konsole from desktop right-click menu uses bad profile
Summary: Opening Konsole from desktop right-click menu uses bad profile
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-30 07:53 UTC by Ville Skyttä
Modified: 2011-06-27 17:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 17:04:53 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2010-05-30 07:53:56 UTC
When opening Konsole via the right click menu on desktop, it is apparently opened with a bad ("", empty string) profile, and changes made to it are not persisted or do not apply on future Konsole opens.

1) Right-click on desktop, select Konsole from the menu
2) Go to Konsole's Settings->Edit Current Profile... view
3) Observe window title, the profile being edited is "" (empty string)
4) Change some settings, for example color scheme, click OK
5) Konsole changes to the new settings
6) Close Konsole
7) Open Konsole again from the desktop right click menu as in 1)
8) Observe that the settings done in 2)-4) got forgotten

A workaround is to change the profile to "Shell" before starting to edit settings, that way they get persisted/applied on future Konsole sessions opened from the desktop right click menu.

Konsole opened from the K menu (Applications->System->Terminal) does not seem to have this problem, it uses the "Shell" profile from the start.

Comment 1 Kevin Kofler 2010-05-30 17:25:58 UTC
I don't understand this. Both the menu entry and the right-click menu just run "konsole" with no arguments.

Comment 2 Rex Dieter 2010-05-30 19:23:28 UTC
Crazy as it seems, I think I can reproduce the reported behavior.

In particular, our kdebase-workspace konsole patch does this:

KToolInvocation::invokeTerminal(QString(), QDir::homePath());

so it would appear the odd behavior lies in KToolInvocation::invokeTerminal (which doesn't seem to take any sort of parameter for profile)

Comment 3 Steven M. Parrish 2010-06-05 02:19:46 UTC
Rex do you want to handle locally or bump upstream



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Kevin Kofler 2010-06-05 03:23:42 UTC
This is a bug in a Fedora patch, so it needs to be addressed in Fedora.

Comment 5 Steven M. Parrish 2010-06-06 15:28:03 UTC
This bug has been triaged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Bug Zapper 2011-06-02 12:48:40 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2011-06-27 17:04:53 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.